#ifndef HardKey
#define HardKey

#include <windows.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef unsigned __int64 Int64;

bool VerifyRegCode(
  const char *RegName,
  const char *RegCode,
  short int *LicType,
  char *LicName,
  char *LicInfo,
  int *Expire); // // days from 1 Jan 2002

const char* GetHardwareID();

void SecureRead(const char *Name, char *Value);
void SecureWrite(const char *Name, const char *Value);

typedef DWORD (*HWID_Func)();
DWORD GetHWID_Std();
extern HWID_Func HWIDProc; // set to GetHWID_Std by default

#ifdef __cplusplus
};
#endif

#endif
