unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm2 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    RegNameEdit: TEdit;
    RegCodeEdit: TEdit;
    Button1: TButton;
    Label3: TLabel;
    HWIDEdit: TEdit;
    LogMemo: TMemo;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

uses KeyVerify, EXECryptor;

procedure TForm2.FormCreate(Sender: TObject);
begin
  HWIDEdit.Text:=KeyVerify.GetHardwareID;
  Button2Click(nil);
  Caption:=Caption+' '+DateToStr(SecureGetDate);
end;

procedure TForm2.Button1Click(Sender: TObject);
var LicType: TLicType;
    LicName,LicInfo: string;
    Expire: TDateTime;
begin
  {$I crypt_start.inc}
  VerifyRegCode(RegNameEdit.Text, RegCodeEdit.Text,
    LicType,LicName,LicInfo,Expire);
  {$I crypt_end.inc}
  {$I crypt_reg.inc}
  LogMemo.Lines.Add('Valid s/n');
  LogMemo.Lines.Add('License type: '+LicName);
  LogMemo.Lines.Add('License info: '+LicInfo);
  if Expire > 1 then
    LogMemo.Lines.Add('Expired after: '+FormatDateTime('dd.mm.yyyy',Expire));
  {$I crypt_end.inc}
  {$I crypt_unreg.inc}
  LogMemo.Lines.Add('Invalid s/n');
  {$I crypt_end.inc}
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
  RegNameEdit.Text:='ABC Corp.';
  RegCodeEdit.Text:='LHK53-PYG5P-3FXCV-JMYJS-7BQ64';
end;

end.
